#~ 20.09.2004  TIM

#! /bin/sh

# Clean up previous build debris:

if test -f ./CO2H2O_X_convert; then
    rm -f ./CO2H2O_X_convert;
fi

# Copy needed module objects:

cp ../../bin/precision.mod .;

# Make byteswap IO routines:

pgf90 -byteswapio -c ./read_byteswapped_data.f90;

# Make conversion program:

pgf90 -o CO2H2O_X_convert ./CO2H2O_X_convert.f90 ./read_byteswapped_data.o;

# Remove debris:

rm -f ./precision.mod ./CO2H2O_X_convert.o ./read_byteswapped_data.o;

echo
echo "========= CO2H2O_X conversion build finished.";
echo
